<@ include "lib/macros.html" -@> <@ extends "api/api.template.html" @> <@ block additional @> <@ block usage @>

## Usage

<@ if doc.usage @> <$ doc.usage $> <@ else @> <@ if doc.restrict.element @> ```html <<$ doc.name | dashCase $> <@- for param in doc.params @> <$ directiveParam(param.alias or param.name, param.type, '="', '"') $> <@- endfor @>> ... > ``` <@ endif -@> <@- if doc.restrict.attribute -@> ```html <<$ doc.element $> <@- for param in doc.params @> <$ directiveParam(param.name, param.type, '="', '"') $> <@- endfor @>> ... > ``` <@ endif -@> <@- if doc.restrict.cssClass -@> ```html <@ set sep = joiner(' ') @> <<$ doc.element $> class=" <@- for param in doc.params -@> <$ sep() $><$ directiveParam(param.name, param.type, ': ', ';') $> <@- endfor @>"> ... > ``` <@ endif -@> <@- endif @> <@ endblock -@> <@ if doc.params @>

## API

<$ paramTable(doc.params, true) $> <@ endif @> <@ include "lib/events.template.html" @> <@ endblock @>